#ifndef SETTINGS_H
#define SETTINGS_H

#include <QDialog>

namespace Ui {
    class settings;
}

class settings : public QDialog {
    Q_OBJECT
public:
    settings(QWidget *parent = 0);
    ~settings();
    int getTiptime(void);
    void setTiptime(int Tiptime);
    int getBacktime(void);
    void setBacktime(int Backtime);
    int getSkiptime(void);
    void setSkiptime(int Skiptime);
    int getVolumestep(void);
    void setVolumestep(int Volumestep);
    QString getSoundfile(void);
    void setSoundfile(QString Soundfile);
    int getPlayUsing(void);
    void setPlayUsing(int PlayUsing);
    QString getCommand(void);
    void setCommand(QString Command);

public slots:
    void browse(void);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::settings *ui;
};

#endif // SETTINGS_H
